| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Image
Image.DWG

# Method Image.DWG.__decode()

Method __decode

  `mapping __decode(string data)`

Description

  Decodes the DWG data into a mapping.

  `"version" : int` | The version of the DWG file. One of 12, 14 and 15.
  `"bmp" : array(string)` | An array with the raw BMP data.
  `"wmf" : array(string)` | An array with the raw WMF data.

Throws

  This functions throws an error when decoding somehow fails.